package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpMaterialBidRecordsSupplierVO {
   @ApiModelProperty("中标价")
   private Integer winPrice;
   @ApiModelProperty("中标日期")
   private LocalDateTime winDate;
   @ApiModelProperty("中标供应商id")
   private Long winSupplierId;
   @ApiModelProperty("中标供应商")
   private String winSupplierName;
   @ApiModelProperty("中标价格有效期开始")
   private LocalDateTime bidValidityStartTime;
   @ApiModelProperty("中标价格有效期结束")
   private LocalDateTime bidValidityEndTime;
   @ApiModelProperty("货品招标单号")
   private String materialInquiryId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品单位")
   private String unitName;
   @ApiModelProperty("货品类别")
   private String categoryName;

   public Integer getWinPrice() {
      return this.winPrice;
   }

   public LocalDateTime getWinDate() {
      return this.winDate;
   }

   public Long getWinSupplierId() {
      return this.winSupplierId;
   }

   public String getWinSupplierName() {
      return this.winSupplierName;
   }

   public LocalDateTime getBidValidityStartTime() {
      return this.bidValidityStartTime;
   }

   public LocalDateTime getBidValidityEndTime() {
      return this.bidValidityEndTime;
   }

   public String getMaterialInquiryId() {
      return this.materialInquiryId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public void setWinPrice(final Integer winPrice) {
      this.winPrice = winPrice;
   }

   public void setWinDate(final LocalDateTime winDate) {
      this.winDate = winDate;
   }

   public void setWinSupplierId(final Long winSupplierId) {
      this.winSupplierId = winSupplierId;
   }

   public void setWinSupplierName(final String winSupplierName) {
      this.winSupplierName = winSupplierName;
   }

   public void setBidValidityStartTime(final LocalDateTime bidValidityStartTime) {
      this.bidValidityStartTime = bidValidityStartTime;
   }

   public void setBidValidityEndTime(final LocalDateTime bidValidityEndTime) {
      this.bidValidityEndTime = bidValidityEndTime;
   }

   public void setMaterialInquiryId(final String materialInquiryId) {
      this.materialInquiryId = materialInquiryId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }



   public String toString() {
      Integer var10000 = this.getWinPrice();
      return "DrpMaterialBidRecordsSupplierVO(winPrice=" + var10000 + ", winDate=" + String.valueOf(this.getWinDate()) + ", winSupplierId=" + this.getWinSupplierId() + ", winSupplierName=" + this.getWinSupplierName() + ", bidValidityStartTime=" + String.valueOf(this.getBidValidityStartTime()) + ", bidValidityEndTime=" + String.valueOf(this.getBidValidityEndTime()) + ", materialInquiryId=" + this.getMaterialInquiryId() + ", materialId=" + this.getMaterialId() + ", materialName=" + this.getMaterialName() + ", materialCode=" + this.getMaterialCode() + ", unitName=" + this.getUnitName() + ", categoryName=" + this.getCategoryName() + ")";
   }
}
